---
search:
  tags:
    - Products
    - PATCH
seo:
  description: >-
    Update product shipping metadata. Reference for the PATCH
    /v1/organizations/{orgId}/products/{productId} endpoint in the Stashtab
    Vault Warehouse API.
sidebar:
  label: Update product shipping metadata
  badge: PATCH
title: Update product shipping metadata
type: openapi-operation
---
`PATCH /v1/organizations/{orgId}/products/{productId}`

**Request body** (`application/json`, required)

- `aliases` (object[])
- `customs` (object)
- `expectedRevision` (string, required)
- `submissionKey` (string, required)
- `weight` (object)

Request body example:

```json
{
  "aliases": [
    {
      "alias": "string",
      "storeRef": "string"
    }
  ],
  "customs": {
    "countryOfOrigin": "string",
    "declaredValue": {
      "amount": "string"
    },
    "description": "string",
    "tariffCode": "string"
  },
  "expectedRevision": "string",
  "submissionKey": "stringst",
  "weight": {
    "unit": "gram",
    "value": 1
  }
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "product": {
      "aliases": [
        {
          "alias": "string",
          "storeRef": "string"
        }
      ],
      "customs": {
        "countryOfOrigin": "string",
        "declaredValue": {
          "amount": "string",
          "currency": "USD"
        },
        "description": "string",
        "tariffCode": "string"
      },
      "defaultAliasStoreRef": "string",
      "id": "string",
      "revision": "string",
      "weight": {
        "unit": "string",
        "value": 0
      }
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
